高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
MAPolygonRenderer Class Reference

`#include <MAPolygonRenderer.h>`

Inheritance diagram for MAPolygonRenderer:

## Instance Methods
(instancetype) | - initWithPolygon:
| 根据指定的多边形生成一个多边形Renderer Generate a polygon Renderer based on the specified polygon
Instance Methods inherited from MAOverlayRenderer
(GLuint strokeTextureID) | - __attribute
(instancetype) | - initWithOverlay:
| 初始化并返回一个Overlay Renderer initialize and return an Overlay Renderer
(float *) | - getViewMatrix
| 获取当前地图view矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map view matrix with an array length of 16, no external release required. Valid matrix data can only be obtained after adding to the map, otherwise returns NULL.
(float *) | - getProjectionMatrix
| 获取当前地图projection矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map projection matrix with an array length of 16, no need for external release. Valid matrix data can only be obtained after adding it to the map, otherwise returns NULL.
(MAMapPoint) | - getOffsetPoint
| 获取当前地图中心点偏移，用以把地图坐标转换为gl坐标。需要添加到地图获取才有效。（since 5.1.0） Get the current map center offset to convert map coordinates to gl coordinates. It only takes effect when added to map acquisition （since 5.1.0）
(id< MTLRenderCommandEncoder >) | - getCommandEncoder
| 获取Metal渲染MTLRenderCommandEncoder对象。注意：打开地图MetalEnable时有效，否则为nil（since 7.9.0） Obtain the Metal rendering MTLRenderCommandEncoder object. Note: It is valid when MetalEnable is turned on for the map, otherwise it is nil.（since 7.9.0）
(CGFloat) | - getMapZoomLevel
| 获取当前地图缩放级别，需要添加到地图获取才有效。（since 5.1.0） Get the current map zoom level, which is only valid when added to the map（since 5.1.0）
(CGPoint) | - glPointForMapPoint:
| 将MAMapPoint转换为opengles可以直接使用的坐标 Convert MAMapPoint to coordinates that can be directly used by OpenGLES
(CGPoint *) | - glPointsForMapPoints:count:
| 批量将MAMapPoint转换为opengles可以直接使用的坐标 Batch convert MAMapPoint to coordinates that can be directly used by opengles
(CGFloat) | - glWidthForWindowWidth:
| 将屏幕尺寸转换为OpenGLES尺寸 Convert screen size to OpenGLES size
(void) | - glRender
| 绘制函数(子类需要重载来实现) Drawing function (subclasses need to override to implement)
(GLuint) | - loadTexture:
| 加载纹理图片. 注意：仅使用gles环境（since 5.1.0） Load texture image. Note: Only use gles environment （since 5.1.0）
(void) | - deleteTexture:
| 删除纹理. 注意：仅使用gles环境（since 5.1.0） Delete texture. Note: Only use in GLES environment（since 5.1.0）
(void) | - setNeedsUpdate
| 当关联overlay对象有更新时，调用此接口刷新. since 5.0.0 Call this interface to refresh when the associated overlay object is updated. since 5.0.0

## Properties
MAPolygon * | polygon
Properties inherited from MAOverlayPathRenderer
UIColor * | fillColor
UIColor * | strokeColor
CGFloat | lineWidth
MALineJoinType | lineJoinType
MALineCapType | lineCapType
CGFloat | miterLimit
MALineDashType | lineDashType
BOOL | reducePoint
Properties inherited from MAOverlayRenderer
id< MAOverlayRenderDelegate > | rendererDelegate
id< MAOverlay > | overlay
UIImage * | strokeImage
CGFloat | alpha
CGFloat | contentScale

## Additional Inherited Members
Protected Attributes inherited from MAOverlayRenderer
GLuint | _strokeTextureID
CGSize | _strokeTextureSize
BOOL | _needsUpdate
BOOL | _needsLoadStrokeTexture

## Detailed Description

此类用于绘制MAPolygon,可以通过MAOverlayPathRenderer修改其fill和stroke attributes This class is used to draw MAPolygon, and its fill and stroke attributes can be modified through MAOverlayPathRenderer

## Method Documentation

## ◆ initWithPolygon:

- (instancetype) initWithPolygon: |  | (MAPolygon *) | polygon |

根据指定的多边形生成一个多边形Renderer Generate a polygon Renderer based on the specified polygon

Parameters

  polygon | polygon 指定的多边形数据对象 polygon specifies the polygon data object

Returns
  新生成的多边形Renderer newly generated polygon Renderer

## Property Documentation

## ◆ polygon

- (MAPolygon*) polygon
| read nonatomic assign

关联的MAPolygon model associated MAPolygon model

The documentation for this class was generated from the following file:

- MAPolygonRenderer.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。